Skip to content

upsertExternalLink

WRITE

Upsert external link.

POST /api/v1/shared/upsertExternalLink
curl -X POST '<your-host>/api/v1/shared/upsertExternalLink' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "externalLink": "string"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "externalLink": {
      "anyOf": [
        {
          "type": "object",
          "properties": {
            "createdAt": {
              "type": "string"
            },
            "customerId": {
              "type": [
                "string",
                "null"
              ]
            },
            "documentId": {
              "type": "string"
            },
            "documentType": {
              "type": "string",
              "enum": [
                "Quote",
                "SupplierQuote",
                "Customer",
                "Non-Conformance Supplier"
              ]
            },
            "expiresAt": {
              "type": [
                "string",
                "null"
              ]
            },
            "id": {
              "type": "string"
            },
            "supplierId": {
              "type": [
                "string",
                "null"
              ]
            }
          },
          "required": [
            "documentId",
            "documentType"
          ]
        },
        {
          "type": "object",
          "properties": {
            "createdAt": {
              "type": "string"
            },
            "customerId": {
              "type": [
                "string",
                "null"
              ]
            },
            "documentId": {
              "type": "string"
            },
            "documentType": {
              "type": "string",
              "enum": [
                "Quote",
                "SupplierQuote",
                "Customer",
                "Non-Conformance Supplier"
              ]
            },
            "expiresAt": {
              "type": [
                "string",
                "null"
              ]
            },
            "id": {
              "type": "string"
            },
            "supplierId": {
              "type": [
                "string",
                "null"
              ]
            }
          }
        }
      ]
    }
  },
  "required": [
    "externalLink"
  ]
}